Results 1 to 6 of 6

Thread: How do I get an insertion point from an MVPART

  1. #1
    Member
    Join Date
    2006-03
    Location
    Chicago, IL
    Posts
    10
    Login to Give a bone
    0

    Default How do I get an insertion point from an MVPART

    The following autolisp code will tell me that the variable e2_obj_inspt is a Variant.

    (princ "\nSelect MVPART ")
    (setq e2_ent (car(entsel)))
    (setq e2_obj (vlax-ename->vla-object e2_ent))
    (setq e2_dump (vlax-dump-object e2_obj ) )
    (setq e2_obj_inspt (vlax-get-property e2_obj 'Location))

    I want to get the list that gives me the insertion point of the MVPART.
    How do I get that from (setq e2_obj_inspt (vlax-get-property e2_obj 'Location)) ?

  2. #2
    AUGI Addict
    Join Date
    2008-02
    Posts
    1,141
    Login to Give a bone
    0

    Default Re: How do I get an insertion point from an MVPART

    Code:
    (vlax-safearray->list (vlax-variant-value (vlax-get-property <Object> 'Location)))
    or

    Code:
    (vlax-get <Object> 'Location)

  3. #3
    Member
    Join Date
    2006-03
    Location
    Chicago, IL
    Posts
    10
    Login to Give a bone
    0

    Default Re: How do I get an insertion point from an MVPART

    Big Thanks Analyst.
    Still brain dead on a Monday morning.

  4. #4
    AUGI Addict
    Join Date
    2008-02
    Posts
    1,141
    Login to Give a bone
    0

    Default Re: How do I get an insertion point from an MVPART

    Quote Originally Posted by ebixler View Post
    Big Thanks Analyst.
    Still brain dead on a Monday morning.
    Welcome.
    I gotta figure out how to fix my username. Not sure why they changed it.

  5. #5
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,099
    Login to Give a bone
    0

    Default Re: How do I get an insertion point from an MVPART

    Quote Originally Posted by analyst View Post
    Welcome.
    I gotta figure out how to fix my username. Not sure why they changed it.
    The user name change had an error in the code. We are working on fixing it.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  6. #6
    AUGI Addict
    Join Date
    2008-02
    Posts
    1,141
    Login to Give a bone
    0

    Default Re: How do I get an insertion point from an MVPART

    Quote Originally Posted by Opie View Post
    The user name change had an error in the code. We are working on fixing it.
    Cool. Thanks for the info.

Similar Threads

  1. Replies: 21
    Last Post: 2012-10-10, 02:38 PM
  2. MVPart small insertion
    By miszou in forum Parts Builder
    Replies: 0
    Last Post: 2009-11-05, 02:47 PM
  3. RL insertion point
    By kristreagus in forum Dynamic Blocks - Technical
    Replies: 18
    Last Post: 2007-11-08, 03:33 AM
  4. Placing insertion point at mid-point of flange on a steel section
    By Spenner in forum Dynamic Blocks - Technical
    Replies: 4
    Last Post: 2007-06-18, 01:53 PM
  5. Insertion Point
    By kwong in forum Revit Architecture - Families
    Replies: 1
    Last Post: 2005-03-19, 07:27 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •